./Gaming

Working with Stage3D & Starling in Flash Builder 4.5

I’ve just posted up a new video on Vimeo covering how to update the Flex SDK to provide access to the new Flash Player Stage3D APIs as well as how I link the Starling framework to my 2D game projects. You can view the screencast here.

Discussion

3 comments for “Working with Stage3D & Starling in Flash Builder 4.5”

  1. thanks for the video tutorial, I am looking into the best framework and techniques for developing 2D games for iOS and Android using Flash Builder 4.5. Your tutorial talked about a raw ActionScript project that runs within a browser with the latest Flash Plugin. Is it possible to use Starling on the mobile AIR platform yet and if not, what alternatives do we have?

    Posted by Russ | November 4, 2011, 12:43
  2. In the video you had to explicitly add the 11.0 playerglobal.swc.

    Isn’t this because FB is using the player/10.2 because the ActionScript Compiler setting is ‘Use minimum version required by the Flex SDK’?
    Instead of doing this re-add to src, if you instead changed the ActionScript Compiler setting ‘Use a specific version’ to 11.0.0 the proper playerglobal.swc is used and the errors go away without doing the re-add.

    Not sure which technique is the preferred method.

    Thanks for the video.

    Posted by Jeff | November 16, 2011, 22:06
  3. Hi Jeff,

    The reason for adding the SWC separately is to remove the author time errors. On the compiler side of things setting the minimum version to 11 won’t have an effect (at least it didn’t in all of my tests) – hence why you need to set the compiler flag “-swf-version=13” to target Flash Player 11 content. This whole “workaround” becomes a moot point once Flex SDK 4.6 is released.

    Thanks

    m

    Posted by Mike Jones | November 21, 2011, 10:19

Post a comment